module GettextRuntime_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libasprintf
const libasprintf_path = "/usr/lib/libasprintf.so.0"
libasprintf_handle = C_NULL
const libasprintf = "libasprintf.so.0"
export libintl
const libintl_path = "/usr/lib/libc.so.6"
libintl_handle = C_NULL
const libintl = "libc.so.6"
export envsubst
const envsubst_path = "/usr/bin/envsubst"
envsubst(f::Function; kw...) = f(envsubst_path)
envsubst(; kw...) = Cmd([envsubst_path])
export gettext
const gettext_path = "/usr/bin/gettext"
gettext(f::Function; kw...) = f(gettext_path)
gettext(; kw...) = Cmd([gettext_path])
export ngettext
const ngettext_path = "/usr/bin/ngettext"
ngettext(f::Function; kw...) = f(ngettext_path)
ngettext(; kw...) = Cmd([ngettext_path])
function __init__()
    global libasprintf_handle = dlopen(libasprintf_path)
    global libintl_handle = dlopen(libintl_path)
end
end
